Subject: Are you SunOS ld.so freaks (JPL + SWI again!)

From: Pascal Vaillant <[email-masked]>
Date: Tue, 1 Feb 2000 00:03:02 +0000 (GMT)

Dear all,

Curiouser and curiouser, like Alice said in Wonderland: I
have now tried to port JPL to SunOS 4.1 (to show something
to my boss).

I find a port of JDK 1.1 (.8, I think) for SunOS 4 on the
web (Keith White, University of Ottawa, keep the word).
Until now, everything fine.

JPL's makefile is not quite directly usable on SunOS (if
life was so simple :-). Never mind, I can type the compiling
and linking commands step by step...
  
But at one point something really goes wrong: the linking
step of libjpl.so. The linking options of SunOS are not
exactly the same as of Linux, too, so first I get rid of
-soname jpl.so (never mind, the file name would be enough).
  
But then when I link with the libraries indicated
in rules.mk (libpl.a, libdl.a, libreadline.a, libm.so),
ld complains about unresolved references to _abort, __iob,
and _fprintf.

I thought that sounded like libc functions so I added
-lc at the end of the command line. But then as soon as I
try to run JPL I get the following complain:

 ld.so: Undefined symbol: ___eprintf
  
It seems that this ___eprintf is a symbol from libpl.a,
marked undefined; but SWI-Prolog, on its side, compiled
(on the same machine) with libm, libdl and libreadline,
seems to have no problem either finding it, or getting
along without it.
  
Does anybody have the faintest idea of what might be the
problem there?

(For my part, I have exhausted my understanding of
computers at this time).

Best regards,

--
Pascal Vaillant                                Jägerstraße 10/11
Humboldt Universität zu Berlin                 10117 Berlin (Allemagne)
Lehstuhl Computerlinguistik                    Tel: (+49/30) 20 19 25 54